<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
  <ui:define name="body">
    <h:form id="globalForm">
      <h1>#{messages['gazelle.svs.ToolUsage']}</h1>
      <s:div id="divTableToolUsage">
        <h:outputText value="#{messages['gazelle.svs.TheTableBelowGathersTheCallsReceivedByTheRetriev']}"/>
        <rich:dataTable value="#{transactionInstanceDisplay.getAllToolUsages()}" var="tu" rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="tableToolUsage" render="ds">
          <g:column sortBy="#{'callerIp'}" sortable="true" filterBy="#{'callerIp'}" filterEvent="onkeyup" label="callerIp" sortOrder="ascending">
            <ui:define name="header">#{messages['gazelle.svs.CallerIP']}</ui:define>
            <h:outputText value="#{tu.callerIp}"/>
          </g:column>
          <g:column sortBy="#{'lastCall'}" sortable="true" filterEvent="onkeyup" label="lastCall">
            <ui:define name="header">#{messages['gazelle.svs.LastCall']}</ui:define>
            <h:outputText value="#{tu.lastCall}">
              <f:convertDateTime pattern="dd/MM/yyyy 'at' HH:mm:ss"/>
            </h:outputText>
          </g:column>
          <g:column sortBy="#{'nbOfCalls'}" sortable="true" filterEvent="onkeyup" label="nbOfCalls">
            <ui:define name="header">#{messages['gazelle.svs.NbOfCalls']}</ui:define>
            <h:outputText value="#{tu.nbOfCalls}"/>
          </g:column>
          <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
              <ui:param name="dataScrollerId" value="ds"/>
              <ui:param name="dataTableId" value="tableToolUsage"/>
            </ui:include>
          </f:facet>
        </rich:dataTable>
      </s:div>
    </h:form>
  </ui:define>
</ui:composition>
